#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

set( _tarball_files
    test.c lib.h lib.c cmakelibc.png CMakeLists.txt.src
)
set( _tarball_content ${_tarball_files} CMakeLists.txt )
list( SORT _tarball_content )

file(
  COPY ${_tarball_files} cmakelibc-CMakeLists.txt
  DESTINATION ${CMAKE_CURRENT_BINARY_DIR}
)
file(
  RENAME ${CMAKE_CURRENT_BINARY_DIR}/cmakelibc-CMakeLists.txt
  ${CMAKE_CURRENT_BINARY_DIR}/CMakeLists.txt
)

tde_create_tarball(
  TARGET cmakelibc.tar.gz
  SOURCEDIR ${CMAKE_CURRENT_BINARY_DIR}
  FILES ${_tarball_content}
)


install( FILES
    ${CMAKE_CURRENT_BINARY_DIR}/cmakelibc.tar.gz cmakelibc.png
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard )


tde_create_translated_desktop(
  SOURCE cmakelibc.kdevtemplate
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/templates
  KEYWORDS Category
  PO_DIR tdevelop-desktops
)
